angular.module('grs.controllers', [])
    //Main controller
    .controller('mainCtrl', function($ionicLoading, $localStorage, $scope, $state, $rootScope) {
        $scope.load = function() {
            //State Redirection based on USERID
            if ($localStorage.user_id) {
                $state.go('home');
                $ionicLoading.hide();
            } else {
                $state.go('select');
                $ionicLoading.hide();
            }
            // Ionic Platform Ready
            ionic.Platform.ready(function() {
                //alert("ready");
            });
            //Getting Device Api
            try {
                var deviceInfo = ionic.Platform.device();
                console.log(deviceInfo);
                //Setting OS Type
                if (ionic.Platform.isIOS()) {
                    $localStorage.os_type = "1";
                } else if (ionic.Platform.isAndroid()) {
                    $localStorage.os_type = "2";
                } else if (ionic.Platform.isWindowsPhone()) {
                    $localStorage.os_type = "3";
                }
            } catch (e) {}
        }
    })
    //Getting Push Reg id
    .run(function($cordovaPush, $http, $rootScope, $localStorage, $state) {
        //Android Push Code
        var androidConfig = {
            "senderID": "454006849175",
        };
        document.addEventListener("deviceready", function() {
            $cordovaPush.register(androidConfig).then(function(result) {
                // Success
            }, function(err) {
                // Error
            })
            $rootScope.$on('$cordovaPush:notificationReceived', function(event, notification) {
                console.log(notification);
                switch (notification.event) {
                    case 'registered':
                        console.log('registration ID = ' + notification.regid);
                        //               alert('registration ID = ' + notification.regid);
                        $localStorage.device_id = notification.regid;
                        break;
                    case 'message':
                        // this is the actual push notification. its format depends on the data model from the push server
                        console.log(notification.message);
                        if ($localStorage.user_id) {
                            $state.go('notifications');
                            document.addEventListener('backbutton', function(event) {
                                event.preventDefault(); // EDIT
                                $state.go('home');
                                // navigator.app.exitApp(); // exit the app
                            });
                        }
                        break;
                    case 'error':
                        alert('GCM error = ' + notification.msg);
                        break;
                    default:
                        alert('An unknown GCM event has occurred');
                        break;
                }
            });
            // WARNING: dangerous to unregister (results in loss of tokenID)
            $cordovaPush.unregister(options).then(function(result) {
                // Success!
            }, function(err) {
                // Error
            })
        }, false);
    })
    // checking internet connection
    .run(function($location, $localStorage, $ionicPlatform, $ionicLoading, $ionicPopup, $rootScope, $window) {
        $rootScope.online = navigator.onLine;
        $window.addEventListener("offline", function() {
            $rootScope.$apply(function() {
                $rootScope.online = false;
                $ionicLoading.hide();
                $ionicPopup.alert({
                    title: "Internet Disconnected",
                    content: "The internet is disconnected on your device."
                }).then(function(result) {
                    // ionic.Platform.exitApp();\
                    if ($localStorage.user_id) {
                        $ionicLoading.hide();
                        $location.path('home');
                    } else {
                        $ionicLoading.hide();
                        $location.path('select');
                    }
                });
            });
        }, false);
        $window.addEventListener("online", function() {
            $rootScope.$apply(function() {
                $rootScope.online = true;
            });
        }, false);
    })
    // Ionic Loader using Broadcast method
    .run(function($rootScope, $ionicLoading) {
        //Show loader
        $rootScope.$on('loading:show', function() {
            $ionicLoading.show({
                template: 'foo'
            })
        });
        //Hide loader
        $rootScope.$on('loading:hide', function() {
            $ionicLoading.hide()
        });
    })
    //Hide the accessory bar by default
    .run(function($ionicPlatform) {
        $ionicPlatform.ready(function() {
            if (window.cordova && window.cordova.plugins.Keyboard) {
                cordova.plugins.Keyboard.hideKeyboardAccessoryBar(true);
            }
            if (window.StatusBar) {
                StatusBar.styleDefault();
            }
        });
    })
    //Language Controller
    .controller('languageCtrl', function(checkConnection, $localStorage, $scope, $state, query, $rootScope, $ionicHistory, $ionicLoading, transLang) {
        checkConnection.isConnection();
        //getting selected data from form
        $scope.data = {};
        //sending selected option using GET method on view load
        query.get({
            root: "LanguageList"
        }, getLang);
        //After getting resp
        $ionicLoading.show();

        function getLang(res) {
                if (res.status == "success") {
                    $ionicLoading.hide();
                    //setting values in view
                    $scope.languages = res.languages;
                } else {
                    $ionicLoading.hide();
                    //if failed send req again
                    query.get({
                        root: "LanguageList"
                    }, getLang);
                }
            }
            //Setting value as a global value
        $scope.setLanguage = function() {
            checkConnection.isConnection();
            if (!$scope.data.selected) {
                alertPopup = $ionicPopup.alert({
                    title: "Missing",
                    content: "Select a Language before you continue.."
                })
            } else {
                $localStorage.language_id = $scope.data.selected;
                console.log("language selected  " + $localStorage.language_id);
                //navigation to next page
                $state.go('login');
            }
        };
        //Setting value as a global value
        $scope.changeLanguage = function() {
            $localStorage.language_id = $scope.data.selected;
            console.log("changed to" + $localStorage.language_id);
            //navigation to next page
            $state.go('settings');
        };
        $scope.currentLanguage = $localStorage.language_id;
    })
    //settings Controller
    .controller('settingsCtrl', function(checkConnection, $localStorage, transLang, $scope) {
        checkConnection.isConnection();
        if ($localStorage.language_id == 2) {
            $scope.choosenLangObj = transLang.kalangObj;
        } else {
            $scope.choosenLangObj = transLang.enlangObj;
        }
    })
    //Login Controller
    .controller('loginCtrl', function(checkConnection, $localStorage, $scope, $state, query, $rootScope, $ionicHistory, $ionicLoading, $ionicPopup, transLang) {
        checkConnection.isConnection();
        if ($localStorage.language_id == 2) {
            $scope.choosenLangObj = transLang.kalangObj;
        } else {
            $scope.choosenLangObj = transLang.enlangObj;
        }
        // hiding OTP Field after generating otp
        $rootScope.hideGenerateOtp = {
            hide: false
        };
        $scope.hideGenerateOtp = $rootScope.hideGenerateOtp;
        // hiding OTP Field before generating otp
        $rootScope.enterLoginOtp = {
            show: false
        };
        //Starts
        $scope.login = {};
        $scope.login.mobile_no == "";
        // Generate OTP
        $scope.generateLoginOtp = function() {
                if ($scope.login.mobile_no == "" || isNaN($scope.login.mobile_no) || ($scope.login.mobile_no).length != 10) {
                    // Alert popup
                    $ionicPopup.alert({
                        title: "Please Check",
                        content: "Mobile no. should be valid 10 digit numeric"
                    });
                } else {
                    $ionicLoading.show();
                    var mobileNo = {
                        'mobile': {
                            'no': $scope.login.mobile_no
                        }
                    };
                    console.log(mobileNo);
                    // hiding OTP Field after generating otp
                    $rootScope.hideGenerateOtp = {
                        hide: true
                    };
                    $scope.hideGenerateOtp = $rootScope.hideGenerateOtp;
                    // hiding OTP Field before generating otp
                    $rootScope.enterLoginOtp = {
                        show: true
                    };
                    $scope.enterLoginOtp = $rootScope.enterLoginOtp;
                    //Sending req for OTP Code
                    query.display({
                        root: "GetOtpCode"
                    }, mobileNo, getOtp);

                    function getOtp(res) {
                        if (res.type == "success") {
                            console.log(res);
                            $ionicLoading.hide();
                            // Alert popup
                            $ionicPopup.alert({
                                title: res.type,
                                content: "OTP has been sent Successfully"
                            });
                        } else {
                            $ionicLoading.hide();
                            // Alert popup
                            $ionicPopup.alert({
                                title: res.type,
                                content: res.message
                            });
                        }
                    }
                }
            }
            //getting values from global
        $scope.login.os_type = $localStorage.os_type;
        // $scope.login.device_id = 2342324423;
        $scope.login.device_id = $localStorage.device_id;
        //Login User
        $scope.userLogin = function() {
            checkConnection.isConnection();
            $localStorage.otp = $scope.login.otp;
            $localStorage.mobile_no = $scope.login.mobile_no;
            console.log($scope.login);
            if (!$scope.login.otp) {
                // Alert popup
                $ionicPopup.alert({
                    title: "Check OTP code",
                    content: "Generate and enter OTP"
                });
            } else {
                console.log({
                    'login': $scope.login
                });
                $ionicLoading.show();
                query.post({
                    root: "Login"
                }, {
                    'login': $scope.login
                }, loginUser);
                //Got resp
                function loginUser(res) {
                    if (res.status.status == "success") {
                        console.log(res);
                        $ionicLoading.hide();
                        //Alerting user response then on click ok going to other state
                        var alertPopup = $ionicPopup.alert({
                            title: res.status.status,
                            content: "Mobile Number has been verified Successfully"
                        });
                        alertPopup.then(function(res) {
                            //Go to a specific page
                            $state.go('userRegister');
                        });
                    } else {
                        $ionicLoading.hide();
                        console.log(res);
                        //Alerting user response
                        $ionicPopup.alert({
                            title: res.status,
                            content: res.message
                        });
                    }
                }
            }
        }
    })
    //Change Mobile Number Controller
    .controller('changeNumberCtrl', function(checkConnection, $localStorage, $scope, $state, query, $rootScope, $ionicHistory, $ionicLoading, $ionicPopup, transLang) {
        checkConnection.isConnection();
        if ($localStorage.language_id == 2) {
            $scope.choosenLangObj = transLang.kalangObj;
        } else {
            $scope.choosenLangObj = transLang.enlangObj;
        }
        $scope.change = {};
        $scope.change.mobile_no == "";
        // hiding OTP Field after generating otp
        $rootScope.hideGenerateOtp = {
            hide: false
        };
        $scope.hideGenerateOtp = $rootScope.hideGenerateOtp;
        // hiding OTP Field before generating otp
        $rootScope.enterChangeOtp = {
            show: false
        };
        // Generate OTP
        $scope.generateChangeOtp = function() {
                if ($scope.change.mobile_no == "" || isNaN($scope.change.mobile_no) || ($scope.change.mobile_no).length != 10) {
                    // Alert popup
                    $ionicPopup.alert({
                        title: "Please Check",
                        content: "Mobile no. should be valid 10 digit numeric"
                    });
                } else {
                    $ionicLoading.show();
                    var mobileNo = {
                        'mobile': {
                            'no': $scope.change.mobile_no
                        }
                    };
                    console.log(mobileNo);
                    // hiding OTP Field after generating otp
                    $rootScope.hideGenerateOtp = {
                        hide: true
                    };
                    $scope.hideGenerateOtp = $rootScope.hideGenerateOtp;
                    // hiding OTP Field before generating otp
                    $rootScope.enterChangeOtp = {
                        show: true
                    };
                    $scope.enterChangeOtp = $rootScope.enterChangeOtp;
                    //Sending req for OTP Code
                    query.display({
                        root: "GetOtpCode"
                    }, mobileNo, getChangeOtp);

                    function getChangeOtp(res) {
                        if (res.type == "success") {
                            console.log(res);
                            $ionicLoading.hide();
                            // Alert popup
                            $ionicPopup.alert({
                                title: res.type,
                                content: "OTP has been sent Successfully"
                            });
                        } else {
                            $ionicLoading.hide();
                            // Alert popup
                            $ionicPopup.alert({
                                title: res.type,
                                content: res.message
                            });
                        }
                    }
                }
            }
            //getting values from global
        $scope.change.os_type = $localStorage.os_type;
        // $scope.login.device_id = 2342324423;
        $scope.change.device_id = $localStorage.device_id;
        $scope.change.user_id = $localStorage.user_id;
        //Login User
        $scope.userChangeNumber = function() {
            $localStorage.otp = $scope.change.otp;
            $localStorage.mobile_no = $scope.change.mobile_no;
            console.log($scope.change);
            if (!$scope.change.otp) {
                // Alert popup
                $ionicPopup.alert({
                    title: "Check OTP code",
                    content: "Generate and enter OTP"
                });
            } else {
                console.log({
                    'update': $scope.change
                });
                $ionicLoading.show();
                query.post({
                    root: "UpdateMobileNo"
                }, {
                    'update': $scope.change
                }, changeUser);
                //Got resp
                function changeUser(res) {
                    if (res.status == "success") {
                        console.log(res);
                        $ionicLoading.hide();
                        //Alerting user response then on click ok going to other state
                        var alertPopup = $ionicPopup.alert({
                            title: res.status,
                            content: res.message
                        });
                        alertPopup.then(function(res) {
                            //Go to a specific page
                            $state.go('settings');
                        });
                    } else {
                        $ionicLoading.hide();
                        console.log(res);
                        //Alerting user response
                        $ionicPopup.alert({
                            title: res.status,
                            content: res.message
                        });
                    }
                }
            }
        }
    })
    //User registration Controller
    .controller('userRegCtrl', function($filter, checkConnection, $localStorage, $scope, $state, query, $rootScope, $ionicHistory, $ionicLoading, $ionicPopup, transLang, $ionicModal, $ionicPlatform) {
        checkConnection.isConnection();
        if ($localStorage.language_id == 2) {
            $scope.choosenLangObj = transLang.kalangObj;
        } else {
            $scope.choosenLangObj = transLang.enlangObj;
        }
        //Getting Ward list
        var lang = {
            "lang": {
                "id": $localStorage.language_id
            }
        };
        //sending request on view load
        query.display({
            root: "WardList"
        }, lang, getWards);
        //After getting resp
        function getWards(res) {
            if (res.status == "success") {
                //Setting ward parent
                $localStorage.ward_parent_id = $scope.data.ward_parent_id;
                $ionicLoading.hide();
                //passing resp to view
                $scope.wards = res.wards;
            } else {
                $ionicLoading.hide();
                console.log(res);
                //sending request again if failed for first time
                query.display({
                    root: "WardList"
                }, lang, getWards);
            }
        }
        $ionicLoading.show();
        $scope.data = {};

        $scope.getWardName = function() {
                $scope.data.wardName = "";
                $scope.wardsModel = [];
                console.log("working");
                $ionicLoading.show();
                $ionicModal.fromTemplateUrl('selectWards.html', {
                    scope: $scope

                }).then(function(modal) {
                    $scope.addressmodal = modal;
                    modal.show();
                    $ionicLoading.hide();

                });
                $scope.selectWard = function() {
                    $scope.addressmodal.hide();
                    $scope.addressmodal.remove();

                };
                $scope.changeWardNames = function() {
                    if ($scope.data.wardName.length >= 3) {
                        $scope.wardsModel = $scope.wards;
                    } else {
                        $scope.wardsModel = "";
                    }

                }
                $scope.selectWardItem = function(wardId, wardName) {
                    console.log(wardId);
                    $scope.data.ward_parent_id = wardId;
                    $scope.data.ward_name = wardName;
                    $scope.wardName = wardName;
                    $scope.addressmodal.hide();
                    $scope.addressmodal.remove();
                }

                $ionicPlatform.on('backbutton', function(e) {
                    $scope.addressmodal.hide();
                    $scope.addressmodal.remove();
                });



            }
            // ionic date Picker
        $scope.datePickerCallback = function(val) {
                console.log('ionic-datepicker callback');
                if (typeof(val) === 'undefined') {
                    console.log('No date selected');
                } else {
                    console.log('Selected date is : ', val);
                    // yyyy/MM/dd
                    // dd/MM/yyyy
                    var date = $filter('date')(val, 'yyyy/MM/dd');
                    $scope.data.dob = date;
                }
            }
            //Getting User data
        var mobileNo = {
            "login": {
                "mobile_no": $localStorage.mobile_no
            }
        };
        //sending request on view load
        console.log(mobileNo);
        query.display({
            root: "GetUserProfile"
        }, mobileNo, getUserData);
        $scope.data.mobile_no = $localStorage.mobile_no;
        console.log($scope.data.mobile_no);
        //After getting resp
        function getUserData(res) {
                if (res.status.status == "success") {
                    console.log(res);
                    $ionicLoading.hide();
                    $scope.data = {
                        name: res.status.user_data.name,
                        dob: res.status.user_data.dob,
                        address: res.status.user_data.address,
                        mobile_no: $localStorage.mobile_no,
                        occupation: res.status.user_data.occupation,
                        education: res.status.user_data.education,
                        email_id: res.status.user_data.email_id,
                        gender: res.status.user_data.gender,
                        other_no: res.status.user_data.other_no,
                        ward_parent_id: res.status.user_data.ward_parent_id,
                        ward_name: res.status.user_data.ward_name,
                    }
                } else {
                    $ionicLoading.hide();
                    console.log(res);
                    //sending request on view load
                    query.display({
                        root: "GetUserProfile"
                    }, user_id, getUserData);
                }
            }
            // User Registration
        console.log($localStorage.language_id);
        console.log($localStorage.mobile_no);
        //$scope.data.device_id = $localStorage.device_id;
        $scope.userRegister = function() {
                //Setting all values to null
                if (!$scope.data.other_no) {
                    $scope.data.other_no = "";
                }
                if (!$scope.data.email_id) {
                    $scope.data.email_id = "";
                }
                if (!$scope.data.address) {
                    $scope.data.address = "";
                }
                if (!$scope.data.gender) {
                    $scope.data.gender = "";
                }
                if (!$scope.data.dob) {
                    $scope.data.dob = "";
                }
                if (!$scope.data.occupation) {
                    $scope.data.occupation = "";
                }
                if (!$scope.data.education) {
                    $scope.data.education = "";
                }
                //getting values from global
                $localStorage.ward_parent_id = $scope.data.ward_parent_id;
                $scope.data.laguage_id = $localStorage.language_id;
                $scope.data.otp = $localStorage.otp;
                $scope.data.os_type = $localStorage.os_type;
                $scope.data.device_id = $localStorage.device_id;
                console.log($scope.data);
                //Check for mandatory fileds
                if (!$scope.data.name || !$scope.data.mobile_no || !$scope.data.ward_parent_id) {
                    // Alert popup
                    $ionicPopup.alert({
                        title: "Missing",
                        content: "Please Enter Fields marked with *"
                    });
                    //Checking mobile no with 10 dig or not
                } else if ($scope.data.mobile_no.length != 10 || isNaN($scope.data.mobile_no)) {
                    // Alert popup
                    $ionicPopup.alert({
                        title: "Please Check",
                        content: "Mobile no. should be 10 digit numeric"
                    });
                    //Validating email if its not null
                } else if ($scope.data.email_id) {
                    //email validation
                    var re = /^([\w-]+(?:\.[\w-]+)*)@((?:[\w-]+\.)*\w[\w-]{0,66})\.([a-z]{2,6}(?:\.[a-z]{2})?)$/i;
                    if (!re.test($scope.data.email_id)) {
                        // Alert popup
                        $ionicPopup.alert({
                            title: "Please Check",
                            content: "Email id invalid"
                        });
                    } else {
                        $ionicLoading.show();
                        console.log({
                            'user': $scope.data
                        });
                        //Reg API Post method
                        query.post({
                            root: "RegisterAppUser"
                        }, {
                            'user': $scope.data
                        }, registerUser);
                    }
                    // IF email is null
                } else {
                    $ionicLoading.show();
                    console.log({
                        'user': $scope.data
                    });
                    //Reg API Post method
                    query.post({
                        root: "RegisterAppUser"
                    }, {
                        'user': $scope.data
                    }, registerUser);
                }
                //End
            }
            //Got resp
        function registerUser(res) {
            if (res.status == "success") {
                console.log(res);
                $ionicLoading.hide();
                $localStorage.user_id = res.user_id;
                //Alerting user response then on click ok going to other state
                var alertPopup = $ionicPopup.alert({
                    title: res.status,
                    content: res.message
                });
                alertPopup.then(function(res) {
                    //Go to a specific page
                    $state.go('home');
                    $ionicHistory.clearCache();
                    $ionicHistory.clearHistory();
                    $ionicHistory.nextViewOptions({
                        disableAnimate: true,
                        disableBack: true
                    });
                });
            } else {
                $ionicLoading.hide();
                console.log(res);
                //Alerting user response
                $ionicPopup.alert({
                    title: res.status,
                    content: res.message
                });
            }
        }
    })
    // Home controller
    .controller('homeCtrl', function($ionicModal, $localStorage, $scope, $state, query, $rootScope, $ionicHistory, $ionicLoading, $ionicPopup, transLang) {
        if ($localStorage.language_id == 2) {
            $scope.choosenLangObj = transLang.kalangObj;
        } else {
            $scope.choosenLangObj = transLang.enlangObj;
        }
        $ionicModal.fromTemplateUrl('connect.html', function($ionicModal) {
            $scope.modal = $ionicModal;
        }, {
            // Use our scope for the scope of the modal to keep it simple
            scope: $scope,
            // The animation we want to use for the modal entrance
            animation: 'slide-in-up'
        });
    })
    //Get Greviances controller
    .controller('detailCtrl', function(checkConnection, $localStorage, $scope, transLang) {
        checkConnection.isConnection();
        if ($localStorage.language_id == 2) {
            $scope.choosenLangObj = transLang.kalangObj;
        } else {
            $scope.choosenLangObj = transLang.enlangObj;
        }
        // Links open on browser
        $scope.GotoLink = function(url) {
            window.open(url, '_system');
        }
    })
    //Feedback controller
    //Get Greviances controller
    .controller('feedbackCtrl', function(checkConnection, $ionicModal, $localStorage, $scope, $state, query, $rootScope, $ionicHistory, $ionicLoading, $ionicPopup, transLang) {
        checkConnection.isConnection();
        if ($localStorage.language_id == 2) {
            $scope.choosenLangObj = transLang.kalangObj;
        } else {
            $scope.choosenLangObj = transLang.enlangObj;
        }
        $scope.data = {};
        $scope.submitFeedback = function() {
            $ionicLoading.show();
            var feedbackData = {
                "user_id": $localStorage.user_id,
                "suggestion": $scope.data.description
            };
            console.log(feedbackData);
            query.display({
                root: "getSuggestion"
            }, feedbackData, response);

            function response(r) {
                if (r.status == "success") {
                    $ionicLoading.hide();
                    console.log(r);
                    var alertPopup = $ionicPopup.alert({
                        title: r.status,
                        content: r.message
                    });
                    alertPopup.then(function(res) {
                        //Go to a specific page
                        $state.go('home');
                    });
                } else {
                    $ionicLoading.hide();
                    console.log(r);
                    var alertPopup = $ionicPopup.alert({
                        title: r.status,
                        content: r.message
                    });
                    alertPopup.then(function(res) {
                        //Go to a specific page
                        $state.go('home');
                    });
                }
            }
        }
    })
    //Get Greviances controller
    .controller('myGreviancesCtrl', function(checkConnection, $localStorage, $scope, $state, query, $rootScope, $ionicHistory, $ionicLoading, $ionicPopup, transLang) {
        checkConnection.isConnection();
        if ($localStorage.language_id == 2) {
            $scope.choosenLangObj = transLang.kalangObj;
        } else {
            $scope.choosenLangObj = transLang.enlangObj;
        }
        //Getting Ward list
        $ionicLoading.show();
        //getting language from global array
        var userinfo = {
            "userinfo": {
                "user_id": $localStorage.user_id
            }
        };
        //sending request on view load
        query.display({
            root: "GetGreviencesByUser"
        }, userinfo, getGreviencesByUser);
        //After getting resp
        function getGreviencesByUser(res) {
            if (res.greviance.status == "success") {
                $ionicLoading.hide();
                //passing resp to view
                $scope.greviances = res.greviance.gre_data;
                $scope.greviancesLength = res.greviance.gre_data.length;
                //console.log($scope.greviancesLength);
                for (i = 0; i < res.greviance.gre_data.length; i++) {
                    //  console.log(res.greviance.gre_data[i].issue_name);
                    switch (res.greviance.gre_data[i].issue_name) {
                        case "Water":
                            $scope.greviances[i].issue_icon = "img/icn_water.png";
                            break;
                        case "Electric":
                            $scope.greviances[i].issue_icon = "img/icn_electric.png";
                            break;
                        case "Road and Transport":
                            $scope.greviances[i].issue_icon = "img/road_transportation.png";
                            break;
                        case "Citizen safety":
                            $scope.greviances[i].issue_icon = "img/citizen_safety.png";
                            break;
                        case "Education":
                            $scope.greviances[i].issue_icon = "img/education.png";
                            break;
                        case "Health and Sanitation":
                            $scope.greviances[i].issue_icon = "img/hospital.png";
                            break;
                        default:
                            $scope.greviances[i].issue_icon = "img/others.png";
                            break;
                    }
                }
            } else {
                $ionicLoading.hide();
                //console.log(res);
                //sending request again if failed for first time
                //query.display({root:"ScheduleList"}, lang, getSchedule);
            }
        }
        $scope.viewGreviance = function(viewDetail) {
            $state.go('myGrievancesDetail');
            $rootScope.viewDetail = viewDetail;
        };
    })
    // greviance Detail controller
    .controller('myGrievancesDetailCtrl', function(checkConnection, $localStorage, $scope, $state, query, $rootScope, $ionicHistory, $ionicLoading, $ionicPopup, $location, transLang) {
        checkConnection.isConnection();
        if ($localStorage.language_id == 2) {
            $scope.choosenLangObj = transLang.kalangObj;
        } else {
            $scope.choosenLangObj = transLang.enlangObj;
        }
        checkConnection.isConnection();
        $scope.viewDetail = $rootScope.viewDetail;
        if ($rootScope.viewDetail.status == "Completed") {
            $scope.resolvedBtn = "true";
        } else {
            $scope.resolvedBtn = "false";
        }
        //console.log($scope.viewDetail);
        var ticket_no = {
            "complaints_no": $rootScope.viewDetail.token_no
        };
        $scope.resolved = function() {
            var confirmPopup = $ionicPopup.confirm({
                title: 'Please Confirm',
                template: 'Are you sure?'
            });
            confirmPopup.then(function(res) {
                if (res) {
                    $ionicLoading.show();
                    query.display({
                        root: "grsCompleteDate"
                    }, ticket_no, result);

                    function result(res) {
                        console.log(ticket_no);
                        $ionicLoading.show();
                        if (res.status == "success") {
                            $ionicLoading.hide();
                            console.log(res);
                            var alertPopup = $ionicPopup.alert({
                                title: res.status,
                                content: res.message
                            });
                            alertPopup.then(function(res) {
                                //Go to a specific page
                                $state.go('myGrievances');
                            });
                        } else {
                            $ionicLoading.hide();
                            console.log(res);
                            var alertPopup = $ionicPopup.alert({
                                title: res.status,
                                content: res.message
                            });
                            alertPopup.then(function(res) {
                                //Go to a specific page
                                $state.go('myGrievances');
                            });
                        }
                    }
                } else {
                    //Do nothing
                }
            });
        }
    })
    //register new grevances
    .controller('registerGrievanceCtrl', function($filter, $ionicModal, checkConnection, $ionicPopup, Camera, Gallery, $localStorage, $scope, $state, query, $rootScope, $ionicHistory, $ionicLoading, $location, transLang) {
        checkConnection.isConnection();
        if ($localStorage.language_id == 2) {
            $scope.choosenLangObj = transLang.kalangObj;
        } else {
            $scope.choosenLangObj = transLang.enlangObj;
        }
        $scope.data = {};
        $scope.getWardName = function() {
                $scope.data.wardName = "";
                $scope.wardsModel = [];
                console.log("working");
                $ionicLoading.show();
                $ionicModal.fromTemplateUrl('selectWards.html', {
                    scope: $scope

                }).then(function(modal) {
                    $scope.addressmodal = modal;
                    modal.show();
                    $ionicLoading.hide();

                });
                $scope.selectWard = function() {
                    $scope.addressmodal.hide();
                    $scope.addressmodal.remove();

                };
                $scope.changeWardNames = function() {
                    if ($scope.data.wardName.length >= 3) {
                        $scope.wardsModel = $scope.wards;
                    } else {
                        $scope.wardsModel = "";
                    }
                    console.log("changeWardNames");

                }

                $scope.selectWardItem = function(wardId, wardName) {
                    console.log(wardId);
                    $scope.data.ward_parent_id = wardId;
                    $scope.data.ward_name = wardName;
                    $scope.wardName = wardName;
                    $scope.addressmodal.hide();
                    $scope.addressmodal.remove();
                }

                $ionicPlatform.on('backbutton', function(e) {
                    $scope.addressmodal.hide();
                    $scope.addressmodal.remove();
                });



            }
            //Getting Issue list
        $ionicLoading.show();
        //getting language from global array
        var lang = {
            "lang": {
                "id": $localStorage.language_id
            }
        };
        //sending request on view load
        query.display({
            root: "IssuesList"
        }, lang, getIssueList);
        //After getting resp
        function getIssueList(res) {
                if (res.status == "success") {
                    $ionicLoading.hide();
                    console.log(res);
                    //passing resp to view
                    $scope.issues = res.issues;
                } else {
                    $ionicLoading.hide();
                    console.log(res);
                    //sending request again if failed for first time
                    query.display({
                        root: "IssuesList"
                    }, lang, getIssueList);
                }
            }
            //Getting Ward list
        var lang = {
            "lang": {
                "id": $localStorage.language_id
            }
        };
        //sending request on view load
        query.display({
            root: "WardList"
        }, lang, getWards);
        //After getting resp
        function getWards(res) {
                if (res.status == "success") {
                    //Setting ward parent
                    $localStorage.ward_parent_id = $scope.data.ward_parent_id;
                    $ionicLoading.hide();
                    //passing resp to view
                    $scope.wards = res.wards;
                } else {
                    $ionicLoading.hide();
                    console.log(res);
                    //sending request again if failed for first time
                    query.display({
                        root: "WardList"
                    }, lang, getWards);
                }
            }
            //Camera Action
        var getPhotoCamera = function() {
            Camera.getPicture().then(function(imageURI) {
                $scope.imagePath = imageURI;
            }, function(err) {
                console.err(err);
            });
        };
        //Gallery Action
        var getPhotoGallery = function() {
            Gallery.getPicture().then(function(imageURI) {
                $scope.imagePath = imageURI;
            }, function(err) {
                console.err(err);
            });
        };
        $scope.submitGreviance = function(file) {
            checkConnection.isConnection();
            if (!file) {
                // $scope.data.description = "asdfasdfasdf";
                $scope.data.ward_parent_id = $scope.data.ward_parent_id;
                $scope.data.language_id = $localStorage.language_id;
                $scope.data.image = "";
                $scope.data.user_id = $localStorage.user_id;
                $scope.data.address = $scope.data.address;
                console.log($scope.data);
                var greObj = new Object;
                greObj.gre = $scope.data;
                if (!$scope.data.issue_type_parent_id || !$scope.data.description || !$scope.data.ward_parent_id || !$scope.data.address) {
                    $ionicPopup.alert({
                        title: "Missing Fields",
                        content: "Please check some fields are missing"
                    });
                } else {
                    $ionicLoading.show();
                    query.post({
                        root: "Greviance"
                    }, {
                        'gre': $scope.data
                    }, regGre);
                }

                function regGre(r) {
                    console.log(r);
                    // alert(r.message +"," + r.token_no);
                    $ionicLoading.hide();
                    if (r.status == "Success") {
                        $ionicLoading.hide();
                        var alertPopup = $ionicPopup.alert({
                            title: r.status,
                            content: r.message + "<br>Token No:" + r.token_no
                        });
                        alertPopup.then(function(res) {
                            //Go to a specific page
                            $state.go('myGrievances');
                        });
                    } else {
                        $ionicLoading.hide();
                        var alertPopup = $ionicPopup.alert({
                            title: r.status,
                            content: r.message
                        });
                    }
                }
            } else {
                var options = new FileUploadOptions();
                options.fileKey = "image";
                options.fileName = file.substr(file.lastIndexOf('/') + 1);
                options.mimeType = "image/jpeg";
                var params = new Object();
                params.description = $scope.data.description;
                params.ward_parent_id = $scope.data.ward_parent_id;
                params.issue_type_parent_id = $scope.data.issue_type_parent_id;
                params.language_id = $localStorage.language_id;
                params.user_id = $localStorage.user_id;
                params.address = $scope.data.address;
                options.params = params;
                options.chunkedMode = false;
                console.log(options + "--" + params);
                if (!$scope.data.issue_type_parent_id || !$scope.data.description) {
                    $ionicLoading.hide();
                    $ionicPopup.alert({
                        title: "Missing Fields",
                        content: "Please add description and issue type"
                    });
                } else {
                    $ionicLoading.show();
                    var ft = new FileTransfer();
                    ft.upload(file, "http://grsweb.in/index.php/apiResource/Greviance", success, fail, options)
                }

                function success(r) {
                    $ionicLoading.hide();
                    console.log(r);
                    var alertPopup = $ionicPopup.alert({
                        title: r.response.status,
                        content: r.response.message + "<br>Token No:" + r.response.token_no
                    });
                    alertPopup.then(function(res) {
                        //Go to a specific page
                        $state.go('myGrievances');
                    });
                }

                function fail(error) {
                    // alert("Error in registration");
                    $ionicLoading.hide();
                    var alertPopup = $ionicPopup.alert({
                        title: error.response.status,
                        content: error.response.message
                    });
                }
            }
        };
        //Selection of camera and Gallery
        $scope.selectSource = function() {
            $ionicPopup.show({
                template: '',
                title: 'Choose the options below',
                scope: $scope,
                buttons: [{
                    text: '<i class="ion-camera" style="font-size: 1.3em"></i>',
                    type: 'button-block',
                    onTap: function(e) {
                        return 'camera';
                    }
                }, {
                    text: '<i class="ion-images"></i>',
                    type: 'button-block',
                    onTap: function(e) {
                        return 'gallery';
                    }
                }, {
                    text: '<i class="ion-close"></i>',
                    type: 'button-block',
                    onTap: function(e) {
                        return 'cancel';
                    }
                }]
            }).then(function(res) {
                switch (res) {
                    case "camera":
                        console.log("camera");
                        getPhotoCamera();
                        break;
                    case "gallery":
                        getPhotoGallery();
                        console.log("gallery");
                        break;
                    case "cancel":
                        console.log("cancel");
                        break;
                }
            }, function(err) {
                console.log('Err:', err);
            }, function(msg) {
                console.log('message:', msg);
            });
        }
    })
    // Schedules controller
    .controller('scheduleCtrl', function(checkConnection, $localStorage, $scope, $state, query, $rootScope, $ionicHistory, $ionicLoading, $ionicPopup, transLang) {
        checkConnection.isConnection();
        if ($localStorage.language_id == 2) {
            $scope.choosenLangObj = transLang.kalangObj;
        } else {
            $scope.choosenLangObj = transLang.enlangObj;
        }
        //Getting Ward list
        $ionicLoading.show();
        //getting language from global array
        var lang = {
            "language": {
                "id": $localStorage.language_id
            }
        };
        //sending request on view load
        query.display({
            root: "ScheduleList"
        }, lang, getSchedule);
        //After getting resp
        function getSchedule(res) {
            if (res.schedules.status == "success") {
                $ionicLoading.hide();
                //passing resp to view
                $scope.schedules = res.schedules.schedule_list;
                $scope.schedulesLength = res.schedules.schedule_list.length;
                console.log(res);
            } else {
                $ionicLoading.hide();
                //console.log(res);
                //sending request again if failed for first time
                //query.display({root:"ScheduleList"}, lang, getSchedule);
            }
        }
        $scope.showDescription = function(description) {
            $state.go('scheduleDetails');
            $rootScope.description = description;
        };
    })
    //constituency controller
    .controller('constituencyCtrl', function($ionicModal, $localStorage, transLang, $scope) {
        if ($localStorage.language_id == 2) {
            $scope.choosenLangObj = transLang.kalangObj;
        } else {
            $scope.choosenLangObj = transLang.enlangObj;
        }
        $ionicModal.fromTemplateUrl('map.html', function($ionicModal) {
            $scope.modal = $ionicModal;
        }, {
            // Use our scope for the scope of the modal to keep it simple
            scope: $scope,
            // The animation we want to use for the modal entrance
            animation: 'slide-in-up'
        });
    })
    // schedule Detail controller
    .controller('scheduleDetailCtrl', function(checkConnection, $localStorage, $scope, $state, query, $rootScope, $ionicHistory, $ionicLoading, $ionicPopup, $location, transLang) {
        checkConnection.isConnection();
        if ($localStorage.language_id == 2) {
            $scope.choosenLangObj = transLang.kalangObj;
        } else {
            $scope.choosenLangObj = transLang.enlangObj;
        }
        $scope.description = $rootScope.description;
    })
    // Polls controller
    .controller('pollsCtrl', function(checkConnection, transLang, $scope, $state, query, $rootScope, $ionicHistory, $ionicLoading, $ionicPopup, $localStorage) {
        checkConnection.isConnection();
        // Change language through local storage language id
        if ($localStorage.language_id == 2) {
            $scope.choosenLangObj = transLang.kalangObj;
        } else {
            $scope.choosenLangObj = transLang.enlangObj;
        }
        $scope.data = {};
        $ionicLoading.show();
        //getting language from global array
        var lang = {
            "language": {
                "id": $localStorage.language_id,
                "user_id": $localStorage.user_id
            }
        };
        console.log(lang);
        //sending request on view load
        query.display({
            root: "PollList"
        }, lang, getPollsList);
        //After getting resp
        function getPollsList(res) {
                if (res.polls.status == "success") {
                    console.log(res);
                    $ionicLoading.hide();
                    $scope.polls = res.polls.poll_data;
                    $scope.pollsLength = res.polls.poll_data.length;
                } else {
                    $ionicLoading.hide();
                }
            }
            //posting polls
        var finalObj = {}
        finalObj.appuser_id = $localStorage.user_id;
        finalObj.polls = [];
        $scope.setVal = function(id, p_id, selected) {
            console.log(id, selected);
            //arr[id]=selected;
            finalObj.polls[id] = {
                "parent_id": p_id,
                "result1": "0",
                "result2": "0",
                "result3": "0",
                "result4": "0"
            };
            finalObj.polls[id]["result" + selected] = "1"
        };
        $scope.savePolls = function() {
            console.log(finalObj.polls.length);
            $ionicLoading.show();
            console.log(finalObj);
            if (finalObj.polls.length != 0) {
                query.post({
                    root: "SavePollsResult"
                }, finalObj, successPolls);

                function successPolls(response) {
                    console.log(response);
                    if (response.status == "success") {
                        $ionicLoading.hide();
                        var alertPopup = $ionicPopup.alert({
                            title: response.Polls.status,
                            content: response.Polls.message
                        });
                        alertPopup.then(function(res) {
                            //Go to a specific page
                            $state.go('home');
                        });
                    } else {
                        $ionicLoading.hide();
                        var alertPopup = $ionicPopup.alert({
                            title: response.Polls.status,
                            content: response.Polls.message
                        });
                        alertPopup.then(function(res) {
                            //Go to a specific page
                            $state.go('home');
                        });
                    }
                }
            } else {
                $ionicLoading.hide();
                $ionicPopup.alert({
                    title: "Please Check",
                    content: "You have not selected any options"
                });
            }
        }
    })
    // Polls controller
    .controller('pollResultsCtrl', function(transLang, $scope, $state, query, $rootScope, $ionicHistory, $ionicLoading, $ionicPopup, $localStorage) {
        // Change language through local storage language id
        if ($localStorage.language_id == 2) {
            $scope.choosenLangObj = transLang.kalangObj;
        } else {
            $scope.choosenLangObj = transLang.enlangObj;
        }
        $scope.data = {};
        $ionicLoading.show();
        //getting language from global array
        var lang = {
            "lang": {
                "id": $localStorage.language_id
            }
        };
        console.log(lang);
        //sending request on view load
        query.display({
            root: "PollResults"
        }, lang, getResultsList);
        //After getting resp
        function getResultsList(res) {
            if (res.status == "success") {
                $ionicLoading.hide();
                $scope.resultsLength = res.model.length;
                $scope.results = res.model;
                console.log($scope.results);
            } else {
                $ionicLoading.hide();
            }
        }
    })
    // FAQ controller
    .controller('faqCtrl', function(checkConnection, $localStorage, $scope, $state, query, $rootScope, $ionicHistory, $ionicLoading, $ionicPopup, transLang) {
        checkConnection.isConnection();
        if ($localStorage.language_id == 2) {
            $scope.choosenLangObj = transLang.kalangObj;
        } else {
            $scope.choosenLangObj = transLang.enlangObj;
        }
        //Getting Ward list
        $ionicLoading.show();
        //getting language from global array
        var lang = {
            "lang": {
                "id": $localStorage.language_id
            }
        };
        //sending request on view load
        query.display({
            root: "GetFaq"
        }, lang, getFaq);
        //After getting resp
        function getFaq(res) {
            if (res.FAQ.status == "success") {
                $ionicLoading.hide();
                //passing resp to view
                $scope.faqs = res.FAQ.model;
                console.log(res);
                $scope.faqLength = res.FAQ.model.length;
            } else {
                $ionicLoading.hide();
                //console.log(res);
                //sending request again if failed for first time
                //query.display({root:"ScheduleList"}, lang, getSchedule);
            }
        }
    })
    // Notification controller
    .controller('notificationCtrl', function(checkConnection, $localStorage, $scope, $state, query, $rootScope, $ionicHistory, $ionicLoading, $ionicPopup, transLang) {
        checkConnection.isConnection();
        if ($localStorage.language_id == 2) {
            $scope.choosenLangObj = transLang.kalangObj;
        } else {
            $scope.choosenLangObj = transLang.enlangObj;
        }
        document.addEventListener('backbutton', function(event) {
            event.preventDefault(); // EDIT
            $state.go('home');
            // navigator.app.exitApp(); // exit the app
        });
        //Getting News list
        $ionicLoading.show();
        //getting language from global array
        var lang = {
            "lang": {
                "id": $localStorage.language_id
            }
        };
        //sending request on view load
        query.display({
            root: "GetNews"
        }, lang, getNews);
        //After getting resp
        function getNews(res) {
            if (res.news.status == "success") {
                $ionicLoading.hide();
                //passing resp to view
                $scope.notifications = res.news.model;
                $scope.notificationsLength = res.news.model.length;
                console.log($scope.notifications);
            } else {
                $ionicLoading.hide();
                //console.log(res);
                //sending request again if failed for first time
                //query.display({root:"ScheduleList"}, lang, getSchedule);
            }
        }
        $scope.showNews = function(detail) {
            $state.go('notificationDetails');
            $rootScope.detail = detail;
        };
    })
    // notification Detail controller
    .controller('notificationDetailCtrl', function(checkConnection, $localStorage, $scope, $state, query, $rootScope, $ionicHistory, $ionicLoading, $ionicPopup, $location, transLang) {
        checkConnection.isConnection();
        if ($localStorage.language_id == 2) {
            $scope.choosenLangObj = transLang.kalangObj;
        } else {
            $scope.choosenLangObj = transLang.enlangObj;
        }
        $scope.detail = $rootScope.detail;
    })
    //User profile Controller
    .controller('userProfileCtrl', function($filter, checkConnection, $localStorage, $scope, $state, query, $rootScope, $ionicHistory, $ionicLoading, $ionicPopup, transLang, $ionicModal, $ionicPlatform) {

        $ionicLoading.show();
        checkConnection.isConnection();
        if ($localStorage.language_id == 2) {
            $scope.choosenLangObj = transLang.kalangObj;
        } else {
            $scope.choosenLangObj = transLang.enlangObj;
        }
        console.log($localStorage.user_id);

        //Getting Ward list
        var lang = {
            "lang": {
                "id": $localStorage.language_id
            }
        };
        //sending request on view load
        query.display({
            root: "WardList"
        }, lang, getWards);
        //After getting resp
        function getWards(res) {
            if (res.status == "success") {
                //Setting ward parent 
                $localStorage.ward_parent_id = $scope.data.ward_parent_id;
                $ionicLoading.hide();
                //passing resp to view 
                $scope.wards = res.wards;
                // $scope.veiculos = res.wards;
            } else {
                $ionicLoading.hide();
                console.log(res);
                //sending request again if failed for first time
                query.display({
                    root: "WardList"
                }, lang, getWards);
            }
        }

        $scope.data = {};

        $scope.getWardName = function() {
                $scope.data.wardName = "";
                $scope.wardsModel = [];
                console.log("working");
                $ionicLoading.show();
                $ionicModal.fromTemplateUrl('selectWards.html', {
                    scope: $scope

                }).then(function(modal) {
                    $scope.addressmodal = modal;
                    modal.show();
                    $ionicLoading.hide();

                });
                $scope.selectWard = function() {
                    $scope.addressmodal.hide();
                    $scope.addressmodal.remove();

                };
                $scope.changeWardNames = function() {
                    if ($scope.data.wardName.length >= 3) {
                        $scope.wardsModel = $scope.wards;
                    } else {
                        $scope.wardsModel = "";
                    }
                    console.log("changeWardNames");

                }

                $scope.selectWardItem = function(wardId, wardName) {
                    console.log(wardId);
                    $scope.data.ward_parent_id = wardId;
                    $scope.data.ward_name = wardName;
                    $scope.wardName = wardName;
                    $scope.addressmodal.hide();
                    $scope.addressmodal.remove();
                }

                $ionicPlatform.on('backbutton', function(e) {
                    $scope.addressmodal.hide();
                    $scope.addressmodal.remove();
                });



            }
            // ionic date Picker
        $scope.datePickerCallback = function(val) {
                console.log('ionic-datepicker callback');
                if (typeof(val) === 'undefined') {
                    console.log('No date selected');
                } else {
                    console.log('Selected date is : ', val);
                    // yyyy/MM/dd
                    // dd/MM/yyyy
                    var date = $filter('date')(val, 'yyyy/MM/dd');
                    $scope.data.dob = date;
                }
            }
            //date picker ends


        //Getting User data 
        var mobileNo = {
                "login": {
                    "mobile_no": $localStorage.mobile_no
                }
            }
            //sending request on view load
        query.display({
            root: "GetUserProfile"
        }, mobileNo, getUserData);
        $scope.data.mobile_no = $localStorage.mobile_no;
        //After getting resp
        function getUserData(res) {
            if (res.status.status == "success") {
                console.log(res);
                $ionicLoading.hide();
                $scope.data = {
                    name: res.status.user_data.name,
                    dob: res.status.user_data.dob,
                    address: res.status.user_data.address,
                    mobile_no: res.status.user_data.mobile_no,
                    occupation: res.status.user_data.occupation,
                    education: res.status.user_data.education,
                    email_id: res.status.user_data.email_id,
                    gender: res.status.user_data.gender,
                    other_no: res.status.user_data.other_no,
                    ward_parent_id: res.status.user_data.ward_parent_id,
                    ward_name: res.status.user_data.ward_name
                }
            } else {
                $ionicLoading.hide();
                console.log(res);
                //sending request on view load
                query.display({
                    root: "GetUserProfile"
                }, user_id, getUserData);
            }
        }

        // User Registration
        console.log($localStorage.language_id);
        $scope.saveProfile = function() {
                //Setting all values to null
                if (!$scope.data.other_no) {
                    $scope.data.other_no = "";
                }
                if (!$scope.data.email_id) {
                    $scope.data.email_id = "";
                }
                if (!$scope.data.address) {
                    $scope.data.address = "";
                }
                if (!$scope.data.gender) {
                    $scope.data.gender = "";
                }
                if (!$scope.data.dob) {
                    $scope.data.dob = "";
                }
                if (!$scope.data.occupation) {
                    $scope.data.occupation = "";
                }
                if (!$scope.data.education) {
                    $scope.data.education = "";
                }
                //getting values from global
                $scope.data.laguage_id = $localStorage.language_id;
                $scope.data.os_type = $localStorage.os_type;
                $scope.data.device_id = $localStorage.device_id;
                //Check for mandatory fileds
                if (!$scope.data.name || !$scope.data.mobile_no || !$scope.data.ward_parent_id) {
                    // Alert popup
                    $ionicPopup.alert({
                        title: "Missing",
                        content: "Please Enter Fields marked with *"
                    });
                    //Checking mobile no with 10 dig or not
                } else if ($scope.data.mobile_no.length != 10 || isNaN($scope.data.mobile_no)) {
                    // Alert popup
                    $ionicPopup.alert({
                        title: "Please Check",
                        content: "Mobile no. should be 10 digit numeric"
                    });
                    //Validating email if its not null
                } else if ($scope.data.email_id) {
                    //email validation
                    var re = /^([\w-]+(?:\.[\w-]+)*)@((?:[\w-]+\.)*\w[\w-]{0,66})\.([a-z]{2,6}(?:\.[a-z]{2})?)$/i;
                    if (!re.test($scope.data.email_id)) {
                        // Alert popup
                        $ionicPopup.alert({
                            title: "Please Check",
                            content: "Email id invalid"
                        });
                    } else {
                        $ionicLoading.show();
                        console.log({
                            'update_user': $scope.data
                        });
                        //Reg API Post method
                        query.post({
                            root: "UpdateProfile"
                        }, {
                            'update_user': $scope.data
                        }, updateProfile);
                    }
                    // IF email is null
                } else {
                    $ionicLoading.show();
                    console.log({
                        'user': $scope.data
                    });
                    //Reg API Post method
                    query.post({
                        root: "UpdateProfile"
                    }, {
                        'update_user': $scope.data
                    }, updateProfile);
                }
                //End
            }
            //Got resp
        function updateProfile(res) {
            if (res.update_profile.status == "success") {
                console.log(res.update_profile);
                $ionicLoading.hide();
                $localStorage.ward_parent_id = $scope.data.ward_parent_id;
                //Alerting user response then on click ok going to other state
                var alertPopup = $ionicPopup.alert({
                    title: res.update_profile.status,
                    content: res.update_profile.message
                });

                alertPopup.then(function(res) {
                    //Go to a specific page
                    $state.go('settings');
                });
            } else {
                $ionicLoading.hide();
                console.log(res);
                //Alerting user response then on click ok going to other state
                var alertPopup = $ionicPopup.alert({
                    title: res.update_profile.status,
                    content: res.update_profile.message
                });
                alertPopup.then(function(res) {
                    //Go to a specific page
                    $state.go('settings');
                });
            }
        }
    })
